stratos-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From chris snow <chsnow...@gmail.com>
Subject Re: stratos installer puppet master setup
Date Fri, 14 Mar 2014 06:22:19 GMT
Hi Nirmal, I was confused because I was following the instructions in
the wiki in a sequential order, and the automated product
configuration page I was working through required puppet settings to
be configured but no instructions had yet been provided for installing
puppet.  It looks as though the order of the wiki pages have changed
since then, so I'll follow the instructions in the new order
(Configuring Puppet Master > Creating a Cartridge > Automated Product
Configuration ...) and see how I get on.

On Fri, Mar 14, 2014 at 5:17 AM, Nirmal Fernando <nirmal070125@gmail.com> wrote:
> Hi Chris,
>
> I think this shouldn't be mentioned as a pre-requisite, since we provide the
> documentation to install puppet agent. Wdyt?
>
>
> On Thu, Mar 13, 2014 at 1:38 PM, chris snow <chsnow123@gmail.com> wrote:
>>
>> Thanks Nirmal.
>>
>> Could we get a link to that page from the pre-requisites page [1]?
>>
>> ---
>> [1]
>> https://cwiki.apache.org/confluence/display/STRATOS/4.0.0+Prerequisites
>>
>>
>> On Thu, Mar 13, 2014 at 7:57 AM, Nirmal Fernando <nirmal070125@gmail.com>
>> wrote:
>> > Hi Chris,
>> >
>> > For puppet master installation please find the wiki page:
>> >
>> > https://cwiki.apache.org/confluence/display/STRATOS/4.0.0+Configuring+Puppet+Master
>> >
>> > Please follow that to avoid any issues that you may face.
>> >
>> >
>> > On Thu, Mar 13, 2014 at 1:18 PM, chris snow <chsnow123@gmail.com> wrote:
>> >>
>> >> The stratos 4.0.0 prerequisites page state puppet master as a
>> >> requirement
>> >> [1].
>> >>
>> >> I have installed this package:
>> >>
>> >>    wget http://apt.puppetlabs.com/puppetlabs-release-wheezy.deb
>> >>    sudo dpkg -i puppetlabs-release-wheezy.deb
>> >>    sudo apt-get update
>> >>    sudo apt-get install puppet
>> >>
>> >> Question: Is any further setup of puppet required for stratos?
>> >>
>> >> ---
>> >> [1]
>> >> https://cwiki.apache.org/confluence/display/STRATOS/4.0.0+Prerequisites
>> >
>> >
>> >
>> >
>> > --
>> > Best Regards,
>> > Nirmal
>> >
>> > Nirmal Fernando.
>> > PPMC Member & Committer of Apache Stratos,
>> > Senior Software Engineer, WSO2 Inc.
>> >
>> > Blog: http://nirmalfdo.blogspot.com/
>>
>>
>>
>> --
>> Check out my professional profile and connect with me on LinkedIn.
>> http://lnkd.in/cw5k69
>
>
>
>
> --
> Best Regards,
> Nirmal
>
> Nirmal Fernando.
> PPMC Member & Committer of Apache Stratos,
> Senior Software Engineer, WSO2 Inc.
>
> Blog: http://nirmalfdo.blogspot.com/



-- 
Check out my professional profile and connect with me on LinkedIn.
http://lnkd.in/cw5k69

Mime
View raw message